Name:           scrotwm
Version:        0.10.0
Release:        %mkrel 0
Summary:        Small Dynamic Tiling Window Manager for X11
License:        ISC and BSD with advertising and BSD
Group:          Graphical desktop/Other
URL:            https://opensource.conformal.com/wiki/scrotwm
Source0:        http://opensource.conformal.com/snapshots/scrotwm/%{name}-%{version}.tgz
Source10:       COPYING
# fixed so underlinking issue is gone
Patch103:       %{name}-0.9.34-mga-deb-improve-makefile.patch

BuildRequires:  libx11-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxtst-devel 
BuildRequires:  libxt-devel
BuildRequires:  gettext

Suggests:       dmenu
Suggests:       sysstat
Suggests:       xterm
Suggests:       terminus-font

%description
Scrotwm is a small dynamic tiling window manager for X11. It tries to stay out
of the way so that valuable screen real estate can be used for much more
important stuff. It has sane defaults and does not require one to learn a
language to do any configuration. It was written by hackers for hackers and it
strives to be small, compact and fast.


%prep
%setup -q
%patch103 -p0

%build
CFLAGS="%optflags" \
LDFLAGS="%ldflags" \
%make -C linux/ PREFIX=%{_prefix} \
                LIBDIR=%{_libdir}


%install
%makeinstall_std -C linux/ PREFIX=%{_prefix} \
                           LIBDIR=%{_libdir} \
                           DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_mandir}/{es,it,pt,ru}/man1/
mv %{buildroot}%{_mandir}/man1/scrotwm_es.1 %{buildroot}%{_mandir}/es/man1/scrotwm.1
mv %{buildroot}%{_mandir}/man1/scrotwm_it.1 %{buildroot}%{_mandir}/it/man1/scrotwm.1
mv %{buildroot}%{_mandir}/man1/scrotwm_pt.1 %{buildroot}%{_mandir}/pt/man1/scrotwm.1
mv %{buildroot}%{_mandir}/man1/scrotwm_ru.1 %{buildroot}%{_mandir}/ru/man1/scrotwm.1

#conf file
install -D -m 0644 -p %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

#examples
install -D -m 0655 -p baraction.sh %{buildroot}%{_datadir}/doc/%{name}/examples/baraction.sh
install -D -m 0655 -p initscreen.sh %{buildroot}%{_datadir}/doc/%{name}/examples/initscreen.sh
install -D -m 0655 -p screenshot.sh %{buildroot}%{_datadir}/doc/%{name}/examples/screenshot.sh

# start file
cat > %{buildroot}%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 %{buildroot}%{_bindir}/start%{name}

# session file
install -d %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/41%{name} << EOF
NAME=ScrotWM
ICON=
DESC=ScrotWM window manager
EXEC=%{_bindir}/start%{name}
SCRIPT:
exec %{_bindir}/start%{name}
EOF

#license
install -D -m 0644 -p %{_sourcedir}/COPYING %{buildroot}%{_datadir}/doc/%{name}/COPYING

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc %{_datadir}/doc/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%{_bindir}/*
%{_libdir}/libswmhack.so.*
%{_mandir}/man1/scrotwm.1*


%changelog

* Mon Jan 16 2012 kamil <kamil> 0.10.0-0.mga2
+ Revision: 197017
- fix build
- new version 0.10.0
- drop patches merged upstream
  o deb-improve-man-page.patch
  o deb-update-italian-man-page.patch
- drop patches no needed according to upstream
  o deb-remove-bash-assumptions.patch
  o deb-remove-openbsd-assumptions.patch
  o deb-try-versioned-dlopen.patch
  o deb-improve-makefile.patch
- rediff and simplicity patch (drop parts unneeded according to upstream)
  o mga-deb-improve-makefile.patch

* Fri Dec 16 2011 obgr_seneca <obgr_seneca> 0.9.34-4.mga2
+ Revision: 182745
- added mga to improve-makefile.patch

* Fri Dec 16 2011 obgr_seneca <obgr_seneca> 0.9.34-3.mga2
+ Revision: 182619
- removed _disable_ld_no_undefined
- fixed patch 103 so underlinking is gone

* Tue Dec 13 2011 kamil <kamil> 0.9.34-2.mga2
+ Revision: 181320
- revert again to %%{_sourcedir} as it is in RPM SPEC policy

* Tue Dec 13 2011 obgr_seneca <obgr_seneca> 0.9.34-1.mga2
+ Revision: 181206
- removed use of sourcedir

  + kamil <kamil>
    - replace %%{_datadir}/man with %%{_mandir}
    - use %%find_lang --with-man to handle localised man-pages
    - add BR gettext for %%find_lang
    - make dmenu,sysstat,xterm,terminux-font suggested not required
    - use _disable_ld_no_undefined
    - don't ship xsession file - it's done automagically by file triggers
    - spec adapted and totally rewritten for Mageia
    - use patches from Debian
     o scrotwm-0.9.34-deb-improve-makefile.patch
     o scrotwm-0.9.34-deb-improve-man-page.patch
     o scrotwm-0.9.34-deb-remove-bash-assumptions.patch
     o scrotwm-0.9.34-deb-remove-openbsd-assumptions.patch
     o scrotwm-0.9.34-deb-try-versioned-dlopen.patch
     o scrotwm-0.9.34-deb-update-italian-man-page.patch
    - imported package scrotwm

